function [vysledky] = TrenovaniTestovani1(s,s1,c,y,n,T,i)
%t - cas trenovani, t1 - cas testovani fourier, t2 - cas testovani omp
%trenovani slovniku
%s - trenovaci signal
%c - cas rozsekani signalu
%y - rozmery inciacniho slovniku 
%n - 1 = nahodny cisla, 2 = haromnicke
%T -  mira ridkosti
%i - pocet iteraci
param = parametry(s,c,y,n,T,i);
[D,X] = ksvd_upravene(param);
[E1] = test_fourier (s1,c);
[E2,X_OMP] = test_ksvd (D,s1);
vysledky.E_fourier = E1;
vysledky.E_OMP = E2;
vysledky.X = X_OMP;
vysledky.D = D;
end
    
      
        

